Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::Servant_Impl_Base Class Reference

Non-template base class for Servant_Impl. More...

`#include <Servant_Impl_Base.h>`

Inheritance diagram for CIAO::Servant_Impl_Base:

[legend]
Collaboration diagram for CIAO::Servant_Impl_Base:

[legend]
List of all members.

## Public Member Functions
| Servant_Impl_Base (Components::CCMHome_ptr home, Home_Servant_Impl_Base *home_servant, Session_Container *c)
virtual | ~Servant_Impl_Base (void)
virtual ::Components::PrimaryKeyBase * | get_primary_key () throw (CORBA::SystemException, Components::NoKeyAvailable)
| Operations for CCMObject interface.
virtual CORBA::IRObject_ptr | get_component_def () throw (CORBA::SystemException)
virtual Components::SessionComponent_ptr | get_executor ()=0 throw (CORBA::SystemException)
virtual void | configuration_complete () throw (CORBA::SystemException, Components::InvalidConfiguration)
virtual void | remove () throw (CORBA::SystemException, Components::RemoveFailure)
virtual ::Components::ConnectionDescriptions * | get_connections (const char *name) throw (CORBA::SystemException, Components::InvalidName)
virtual ::Components::ComponentPortDescription * | get_all_ports () throw (CORBA::SystemException)
virtual CORBA::Object_ptr | provide_facet (const char *name) throw (CORBA::SystemException, Components::InvalidName)
virtual ::Components::FacetDescriptions * | get_named_facets (const ::Components::NameList &names) throw (CORBA::SystemException, Components::InvalidName)
virtual ::Components::FacetDescriptions * | get_all_facets () throw (CORBA::SystemException)
virtual ::Components::ConsumerDescriptions * | get_all_consumers () throw (CORBA::SystemException)
virtual ::Components::EventConsumerBase_ptr | get_consumer (const char *sink_name) throw (CORBA::SystemException, Components::InvalidName)
virtual ::Components::EventConsumerBase_ptr | disconnect_consumer (const char *source_name) throw (CORBA::SystemException, Components::InvalidName, Components::NoConnection)
virtual ::Components::ConsumerDescriptions * | get_named_consumers (const ::Components::NameList &names) throw (CORBA::SystemException, Components::InvalidName)
virtual ::Components::EmitterDescriptions * | get_all_emitters () throw (CORBA::SystemException)
virtual ::Components::EmitterDescriptions * | get_named_emitters (const ::Components::NameList &) throw (CORBA::SystemException, Components::InvalidName)
virtual ::Components::ReceptacleDescriptions * | get_all_receptacles () throw (CORBA::SystemException)
virtual ::Components::ReceptacleDescriptions * | get_named_receptacles (const ::Components::NameList &) throw (CORBA::SystemException, Components::InvalidName)
virtual ::Components::PublisherDescriptions * | get_all_publishers () throw (CORBA::SystemException)
virtual ::Components::PublisherDescriptions * | get_named_publishers (const ::Components::NameList &names) throw (CORBA::SystemException, Components::InvalidName)
virtual void | set_attributes (const Components::ConfigValues &descr)=0
| Operation to set attributes on the component.
virtual ::Components::StandardConfigurator_ptr | get_standard_configurator () throw (CORBA::SystemException)
virtual PortableServer::POA_ptr | _default_POA ()
## Protected Types
typedef ACE_Hash_Map_Manager_Ex< const char *,::Components::FacetDescription_var, ACE_Hash< const char * >, ACE_Equal_To< const char * >, ACE_Null_Mutex > | FacetTable
typedef ACE_Hash_Map_Manager_Ex< const char *,::Components::ConsumerDescription_var, ACE_Hash< const char * >, ACE_Equal_To< const char * >, ACE_Null_Mutex > | ConsumerTable
## Protected Member Functions
void | add_facet (const char *port_name, CORBA::Object_ptr port_ref)
| Protected operations.
CORBA::Object_ptr | lookup_facet (const char *port_name)
::Components::FacetDescription * | lookup_facet_description (const char *port_name)
void | add_consumer (const char *port_name,::Components::EventConsumerBase_ptr port_ref)
::Components::EventConsumerBase_ptr | lookup_consumer (const char *port_name)
::Components::ConsumerDescription * | lookup_consumer_description (const char *port_name)
## Protected Attributes
FacetTable | facet_table_
ConsumerTable | consumer_table_
Components::CCMHome_var | home_
Home_Servant_Impl_Base * | home_servant_
Session_Container * | container_
## Private Member Functions
| Servant_Impl_Base (void)
| Not allowed to be used.

## Detailed Description

Non-template base class for Servant_Impl.

Holds the non-template parts of its child class Servant_Impl.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<const char *, ::Components::ConsumerDescription_var, ACE_Hash<const char *>, ACE_Equal_To<const char *>, ACE_Null_Mutex> CIAO::Servant_Impl_Base::ConsumerTable`[protected]`

typedef ACE_Hash_Map_Manager_Ex<const char *, ::Components::FacetDescription_var, ACE_Hash<const char *>, ACE_Equal_To<const char *>, ACE_Null_Mutex> CIAO::Servant_Impl_Base::FacetTable`[protected]`

## Constructor & Destructor Documentation

CIAO::Servant_Impl_Base::Servant_Impl_Base | ( | Components::CCMHome_ptr | home,
|  | Home_Servant_Impl_Base * | home_servant,
|  | Session_Container * | c
| ) |

CIAO::Servant_Impl_Base::~Servant_Impl_Base | ( | void |  | ) | `[virtual]`

CIAO::Servant_Impl_Base::Servant_Impl_Base | ( | void |  | ) | `[private]`

| Not allowed to be used.

## Member Function Documentation

virtual PortableServer::POA_ptr CIAO::Servant_Impl_Base::_default_POA | ( |  | ) | `[virtual]`

| Override that returns the (passed-in) default POA of our member component's container, to ensure that we get registered to that POA when _this() is called.

void CIAO::Servant_Impl_Base::add_consumer | ( | const char * | port_name,
|  | ::Components::EventConsumerBase_ptr | port_ref
| ) | `[protected]`

void CIAO::Servant_Impl_Base::add_facet | ( | const char * | port_name,
|  | CORBA::Object_ptr | port_ref
| ) | `[protected]`

| Protected operations.

virtual void CIAO::Servant_Impl_Base::configuration_complete | ( |  | ) | throw (CORBA::SystemException, Components::InvalidConfiguration)`[virtual]`

Components::EventConsumerBase_ptr CIAO::Servant_Impl_Base::disconnect_consumer | ( | const char * | source_name | ) | throw (CORBA::SystemException, Components::InvalidName, Components::NoConnection)

Components::ConsumerDescriptions * CIAO::Servant_Impl_Base::get_all_consumers | ( |  | ) | throw (CORBA::SystemException)

Components::EmitterDescriptions * CIAO::Servant_Impl_Base::get_all_emitters | ( |  | ) | throw (CORBA::SystemException)

virtual ::Components::FacetDescriptions* CIAO::Servant_Impl_Base::get_all_facets | ( |  | ) | throw (CORBA::SystemException)

Components::ComponentPortDescription * CIAO::Servant_Impl_Base::get_all_ports | ( |  | ) | throw (CORBA::SystemException)

Components::PublisherDescriptions * CIAO::Servant_Impl_Base::get_all_publishers | ( |  | ) | throw (CORBA::SystemException)

Components::ReceptacleDescriptions * CIAO::Servant_Impl_Base::get_all_receptacles | ( |  | ) | throw (CORBA::SystemException)

CORBA::IRObject_ptr CIAO::Servant_Impl_Base::get_component_def | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Components::ConnectionDescriptions * CIAO::Servant_Impl_Base::get_connections | ( | const char * | name | ) | throw (CORBA::SystemException, Components::InvalidName)

Components::EventConsumerBase_ptr CIAO::Servant_Impl_Base::get_consumer | ( | const char * | sink_name | ) | throw (CORBA::SystemException, Components::InvalidName)

virtual Components::SessionComponent_ptr CIAO::Servant_Impl_Base::get_executor | ( |  | ) | throw (CORBA::SystemException)`[pure virtual]`

| Implemented in CIAO::Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, CONTEXT >.

Components::ConsumerDescriptions * CIAO::Servant_Impl_Base::get_named_consumers | ( | const ::Components::NameList & | names | ) | throw (CORBA::SystemException, Components::InvalidName)

Components::EmitterDescriptions * CIAO::Servant_Impl_Base::get_named_emitters | ( | const ::Components::NameList & |  | ) | throw (CORBA::SystemException, Components::InvalidName)

Components::FacetDescriptions * CIAO::Servant_Impl_Base::get_named_facets | ( | const ::Components::NameList & | names | ) | throw (CORBA::SystemException, Components::InvalidName)

Components::PublisherDescriptions * CIAO::Servant_Impl_Base::get_named_publishers | ( | const ::Components::NameList & | names | ) | throw (CORBA::SystemException, Components::InvalidName)

Components::ReceptacleDescriptions * CIAO::Servant_Impl_Base::get_named_receptacles | ( | const ::Components::NameList & |  | ) | throw (CORBA::SystemException, Components::InvalidName)

Components::PrimaryKeyBase * CIAO::Servant_Impl_Base::get_primary_key | ( |  | ) | throw (CORBA::SystemException, Components::NoKeyAvailable)

| Operations for CCMObject interface.

Components::StandardConfigurator_ptr CIAO::Servant_Impl_Base::get_standard_configurator | ( |  | ) | throw (CORBA::SystemException)

Components::EventConsumerBase_ptr CIAO::Servant_Impl_Base::lookup_consumer | ( | const char * | port_name | ) | `[protected]`

Components::ConsumerDescription * CIAO::Servant_Impl_Base::lookup_consumer_description | ( | const char * | port_name | ) | `[protected]`

CORBA::Object_ptr CIAO::Servant_Impl_Base::lookup_facet | ( | const char * | port_name | ) | `[protected]`

Components::FacetDescription * CIAO::Servant_Impl_Base::lookup_facet_description | ( | const char * | port_name | ) | `[protected]`

CORBA::Object_ptr CIAO::Servant_Impl_Base::provide_facet | ( | const char * | name | ) | throw (CORBA::SystemException, Components::InvalidName)`[virtual]`

void CIAO::Servant_Impl_Base::remove | ( |  | ) | throw (CORBA::SystemException, Components::RemoveFailure)`[virtual]`

virtual void CIAO::Servant_Impl_Base::set_attributes | ( | const Components::ConfigValues & | descr | ) | `[pure virtual]`

| Operation to set attributes on the component.

## Member Data Documentation

ConsumerTable CIAO::Servant_Impl_Base::consumer_table_`[protected]`

Session_Container* CIAO::Servant_Impl_Base::container_`[protected]`

FacetTable CIAO::Servant_Impl_Base::facet_table_`[protected]`

Components::CCMHome_var CIAO::Servant_Impl_Base::home_`[protected]`

Home_Servant_Impl_Base* CIAO::Servant_Impl_Base::home_servant_`[protected]`

The documentation for this class was generated from the following files:

- Servant_Impl_Base.h
- Servant_Impl_Base.cpp